<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="class_kalk" kind="class" language="C++" prot="public">
    <compoundname>Kalk</compoundname>
    <basecompoundref prot="public" virt="non-virtual">QWidget</basecompoundref>
      <sectiondef kind="private-type">
      <memberdef kind="enum" id="class_kalk_1a035c630b5a3d2c834e1fab60d3a99be6" prot="private" static="no">
        <name>@0</name>
        <enumvalue id="class_kalk_1a035c630b5a3d2c834e1fab60d3a99be6a8fbffebb87af5cc47dda44d20e4d167e" prot="private">
          <name>NumDigitButtons</name>
          <initializer>= 10</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="88" column="1" bodyfile="kalk/kalk.h" bodystart="88" bodyend="88"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="private-attrib">
      <memberdef kind="variable" id="class_kalk_1a127b3286d13885655dd3c7fe6a694154" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::isRealDomain</definition>
        <argsstring></argsstring>
        <name>isRealDomain</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="63" column="1" bodyfile="kalk/kalk.h" bodystart="63" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a1552b9283db6a6aad98e58e787b4b40e" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::isComplexDomain</definition>
        <argsstring></argsstring>
        <name>isComplexDomain</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="63" column="1" bodyfile="kalk/kalk.h" bodystart="63" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a40646ad374f01a2e1e2aa106c089b8a1" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::isQuaternionDomain</definition>
        <argsstring></argsstring>
        <name>isQuaternionDomain</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="63" column="1" bodyfile="kalk/kalk.h" bodystart="63" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1afdb3b6fbce722301b1e31d66c22f42c3" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::hasUsedReal</definition>
        <argsstring></argsstring>
        <name>hasUsedReal</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="64" column="1" bodyfile="kalk/kalk.h" bodystart="64" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1ac5385679ef1b8a632de77a852e960648" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::hasUsedI</definition>
        <argsstring></argsstring>
        <name>hasUsedI</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="64" column="1" bodyfile="kalk/kalk.h" bodystart="64" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a946bebf2b95644d9af687dac4d2a0c83" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::hasUsedJ</definition>
        <argsstring></argsstring>
        <name>hasUsedJ</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="64" column="1" bodyfile="kalk/kalk.h" bodystart="64" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1afc550da81642965d0cac5844ad5ed6b1" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::hasUsedK</definition>
        <argsstring></argsstring>
        <name>hasUsedK</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="64" column="1" bodyfile="kalk/kalk.h" bodystart="64" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1ac7210b5359f2fe171b72ad42241b4dfa" prot="private" static="no" mutable="no">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button* Kalk::squareRootButton</definition>
        <argsstring></argsstring>
        <name>squareRootButton</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="67" column="1" bodyfile="kalk/kalk.h" bodystart="67" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a6f0ff5e3c87b26a21e1f0fc305e1c8c4" prot="private" static="no" mutable="no">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button * Kalk::powerButton</definition>
        <argsstring></argsstring>
        <name>powerButton</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="67" column="1" bodyfile="kalk/kalk.h" bodystart="67" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1adc9cc22a705f06ec74395e84779eecb7" prot="private" static="no" mutable="no">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button* Kalk::iButton</definition>
        <argsstring></argsstring>
        <name>iButton</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="69" column="1" bodyfile="kalk/kalk.h" bodystart="69" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a1e25fe0606e4dd8b8d0026fa35d02b39" prot="private" static="no" mutable="no">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button * Kalk::jButton</definition>
        <argsstring></argsstring>
        <name>jButton</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="69" column="1" bodyfile="kalk/kalk.h" bodystart="69" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a9fcf3187d4335f1b3cddf3a11ac4a01c" prot="private" static="no" mutable="no">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button * Kalk::kButton</definition>
        <argsstring></argsstring>
        <name>kButton</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="69" column="1" bodyfile="kalk/kalk.h" bodystart="69" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1ae9543ce83a379fb45b079b747eebf6fb" prot="private" static="no" mutable="no">
        <type><ref refid="class_quaternion" kindref="compound">Quaternion</ref> *</type>
        <definition>Quaternion* Kalk::sumSoFar</definition>
        <argsstring></argsstring>
        <name>sumSoFar</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="77" column="1" bodyfile="kalk/kalk.h" bodystart="77" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a20fc6ce050e3298a389e25c8a90f557e" prot="private" static="no" mutable="no">
        <type><ref refid="class_quaternion" kindref="compound">Quaternion</ref> *</type>
        <definition>Quaternion* Kalk::factorSoFar</definition>
        <argsstring></argsstring>
        <name>factorSoFar</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="78" column="1" bodyfile="kalk/kalk.h" bodystart="78" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1ab7f71eeb9ac2633dc615acb6cbf0b009" prot="private" static="no" mutable="no">
        <type>QString</type>
        <definition>QString Kalk::pendingAdditiveOperator</definition>
        <argsstring></argsstring>
        <name>pendingAdditiveOperator</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="79" column="1" bodyfile="kalk/kalk.h" bodystart="79" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1ab9f94686db9235256f0faf8d44dff25d" prot="private" static="no" mutable="no">
        <type>QString</type>
        <definition>QString Kalk::pendingMultiplicativeOperator</definition>
        <argsstring></argsstring>
        <name>pendingMultiplicativeOperator</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="80" column="1" bodyfile="kalk/kalk.h" bodystart="80" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a30d55da518a57c1915d9dd233bc02740" prot="private" static="no" mutable="no">
        <type>QString</type>
        <definition>QString Kalk::pendingPowerOperator</definition>
        <argsstring></argsstring>
        <name>pendingPowerOperator</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="81" column="1" bodyfile="kalk/kalk.h" bodystart="81" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a920a824e0ab9aa6abb41be1249366839" prot="private" static="no" mutable="no">
        <type>bool</type>
        <definition>bool Kalk::waitingForOperand</definition>
        <argsstring></argsstring>
        <name>waitingForOperand</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="82" column="1" bodyfile="kalk/kalk.h" bodystart="82" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a562211dbce5f45ddb8accf1542047c38" prot="private" static="no" mutable="no">
        <type>QLineEdit *</type>
        <definition>QLineEdit* Kalk::display</definition>
        <argsstring></argsstring>
        <name>display</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="86" column="1" bodyfile="kalk/kalk.h" bodystart="86" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a04d868f84bc91c8a89c09de62a562c08" prot="private" static="no" mutable="no">
        <type>QString</type>
        <definition>QString Kalk::nullText</definition>
        <argsstring></argsstring>
        <name>nullText</name>
        <initializer>= &quot;&quot;</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="87" column="1" bodyfile="kalk/kalk.h" bodystart="87" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_kalk_1a6ad5b5297380c3e76279f85e474a5458" prot="private" static="no" mutable="no">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button* Kalk::digitButtons[NumDigitButtons]</definition>
        <argsstring>[NumDigitButtons]</argsstring>
        <name>digitButtons</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="89" column="1" bodyfile="kalk/kalk.h" bodystart="89" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="class_kalk_1a559be0464a55b0a24dbc9ddf4c3c2513" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>Kalk::Kalk</definition>
        <argsstring>(QWidget *parent=0)</argsstring>
        <name>Kalk</name>
        <param>
          <type>QWidget *</type>
          <declname>parent</declname>
          <defval>0</defval>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Copyright 2018 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="38" column="1" bodyfile="kalk/kalk.cpp" bodystart="24" bodyend="28"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="private-slot">
      <memberdef kind="slot" id="class_kalk_1af883213256a0608001cc00de7cab30c2" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::digitClicked</definition>
        <argsstring>()</argsstring>
        <name>digitClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="41" column="1" bodyfile="kalk/kalk.cpp" bodystart="171" bodyend="196"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a0a1f199a6a931d65dc04f7b3d64e2b9b" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::unaryOperatorClicked</definition>
        <argsstring>()</argsstring>
        <name>unaryOperatorClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="42" column="1" bodyfile="kalk/kalk.cpp" bodystart="212" bodyend="229"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1ab677a1167bd13b1e98a0f28cd4f7b10a" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::additiveOperatorClicked</definition>
        <argsstring>()</argsstring>
        <name>additiveOperatorClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="43" column="1" bodyfile="kalk/kalk.cpp" bodystart="231" bodyend="253"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a1ee03ea296dc6ee6811271f30cb5bf91" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::multiplicativeOperatorClicked</definition>
        <argsstring>()</argsstring>
        <name>multiplicativeOperatorClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="44" column="1" bodyfile="kalk/kalk.cpp" bodystart="255" bodyend="273"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a4f295557c3e7ce2da0f5d0193fcee8c7" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::powerOperatorClicked</definition>
        <argsstring>()</argsstring>
        <name>powerOperatorClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="45" column="1" bodyfile="kalk/kalk.cpp" bodystart="275" bodyend="292"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1acf8969cbbc65b2cc8b2fc793eb10d7c2" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::equalClicked</definition>
        <argsstring>()</argsstring>
        <name>equalClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="46" column="1" bodyfile="kalk/kalk.cpp" bodystart="294" bodyend="336"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a80985d8abba72a36e38fbea4aaec7544" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::pointClicked</definition>
        <argsstring>()</argsstring>
        <name>pointClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="47" column="1" bodyfile="kalk/kalk.cpp" bodystart="338" bodyend="349"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a34a92beff5a80778f924113af98609dc" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::backspaceClicked</definition>
        <argsstring>()</argsstring>
        <name>backspaceClicked</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="48" column="1" bodyfile="kalk/kalk.cpp" bodystart="351" bodyend="362"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1ae32fc064bc528d4d5e256bafcfa77482" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::clear</definition>
        <argsstring>()</argsstring>
        <name>clear</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="49" column="1" bodyfile="kalk/kalk.cpp" bodystart="364" bodyend="371"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a59fd495816287e031192339d30184c7b" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::clearAll</definition>
        <argsstring>()</argsstring>
        <name>clearAll</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="50" column="1" bodyfile="kalk/kalk.cpp" bodystart="373" bodyend="383"/>
      </memberdef>
      <memberdef kind="slot" id="class_kalk_1a130beff8aa8e3e98aa7e93aff8ec3bfc" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::setNumberDomain</definition>
        <argsstring>(int)</argsstring>
        <name>setNumberDomain</name>
        <param>
          <type>int</type>
          <defname>domain</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="51" column="1" bodyfile="kalk/kalk.cpp" bodystart="116" bodyend="124"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="private-func">
      <memberdef kind="function" id="class_kalk_1adf36376767dd435bcf3510ae44e4fab0" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::setupDisplay</definition>
        <argsstring>()</argsstring>
        <name>setupDisplay</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="55" column="1" bodyfile="kalk/kalk.cpp" bodystart="31" bodyend="39"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1a2163b26dc22dacfe14b6b2d8b980df1a" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::setupLayout</definition>
        <argsstring>()</argsstring>
        <name>setupLayout</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="56" column="1" bodyfile="kalk/kalk.cpp" bodystart="41" bodyend="48"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1a5730f6c15e4c235cb641eb0d5efcdaad" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>QGridLayout *</type>
        <definition>QGridLayout * Kalk::createLayout</definition>
        <argsstring>()</argsstring>
        <name>createLayout</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="57" column="1" bodyfile="kalk/kalk.cpp" bodystart="50" bodyend="114"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1ad83a4415a59b4a19f023105f752d27d3" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::setRealDomain</definition>
        <argsstring>()</argsstring>
        <name>setRealDomain</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="60" column="1" bodyfile="kalk/kalk.cpp" bodystart="126" bodyend="139"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1ab1222e99e8d95b00764a423f6caa7b50" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::setComplexDomain</definition>
        <argsstring>()</argsstring>
        <name>setComplexDomain</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="61" column="1" bodyfile="kalk/kalk.cpp" bodystart="141" bodyend="154"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1a25867822ad843346ab20091dda3d3392" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::setQuaternionDomain</definition>
        <argsstring>()</argsstring>
        <name>setQuaternionDomain</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="62" column="1" bodyfile="kalk/kalk.cpp" bodystart="156" bodyend="169"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1afe6f91c8b6b0b91f52db75a705207669" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type><ref refid="class_button" kindref="compound">Button</ref> *</type>
        <definition>Button * Kalk::createButton</definition>
        <argsstring>(const QString &amp;text, const char *member)</argsstring>
        <name>createButton</name>
        <param>
          <type>const QString &amp;</type>
          <declname>text</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>member</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="68" column="1" bodyfile="kalk/kalk.cpp" bodystart="385" bodyend="389"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1a2a874e3d914c3f3fbbd1a4cddffd092a" prot="private" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type><ref refid="class_quaternion" kindref="compound">Quaternion</ref> *</type>
        <definition>Quaternion * Kalk::getOperand</definition>
        <argsstring>() const </argsstring>
        <name>getOperand</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="72" column="1" bodyfile="kalk/kalk.cpp" bodystart="198" bodyend="210"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1ac661ed44b35ae22045c7767ed3ad1a75" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::abortOperation</definition>
        <argsstring>()</argsstring>
        <name>abortOperation</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="73" column="1" bodyfile="kalk/kalk.cpp" bodystart="391" bodyend="394"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1a8f57f3cb8ea0f0806914facb50ada04f" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Kalk::calculate</definition>
        <argsstring>(Quaternion *rightOperand, const QString &amp;pendingOperator)</argsstring>
        <name>calculate</name>
        <param>
          <type><ref refid="class_quaternion" kindref="compound">Quaternion</ref> *</type>
          <declname>rightOperand</declname>
        </param>
        <param>
          <type>const QString &amp;</type>
          <declname>pendingOperator</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="74" column="1" bodyfile="kalk/kalk.cpp" bodystart="396" bodyend="413"/>
      </memberdef>
      <memberdef kind="function" id="class_kalk_1a60f1ab6753daca54e5794ae222150168" prot="private" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Kalk::displayResult</definition>
        <argsstring>(Quaternion *) const </argsstring>
        <name>displayResult</name>
        <param>
          <type><ref refid="class_quaternion" kindref="compound">Quaternion</ref> *</type>
          <defname>x</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="kalk/kalk.h" line="85" column="1" bodyfile="kalk/kalk.cpp" bodystart="415" bodyend="417"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <inheritancegraph>
      <node id="78">
        <label>QWidget</label>
      </node>
      <node id="77">
        <label>Kalk</label>
        <link refid="class_kalk"/>
        <childnode refid="78" relation="public-inheritance">
        </childnode>
      </node>
    </inheritancegraph>
    <collaborationgraph>
      <node id="80">
        <label>QWidget</label>
      </node>
      <node id="79">
        <label>Kalk</label>
        <link refid="class_kalk"/>
        <childnode refid="80" relation="public-inheritance">
        </childnode>
      </node>
    </collaborationgraph>
    <location file="kalk/kalk.h" line="34" column="1" bodyfile="kalk/kalk.h" bodystart="33" bodyend="90"/>
    <listofallmembers>
      <member refid="class_kalk_1ac661ed44b35ae22045c7767ed3ad1a75" prot="private" virt="non-virtual"><scope>Kalk</scope><name>abortOperation</name></member>
      <member refid="class_kalk_1ab677a1167bd13b1e98a0f28cd4f7b10a" prot="private" virt="non-virtual"><scope>Kalk</scope><name>additiveOperatorClicked</name></member>
      <member refid="class_kalk_1a34a92beff5a80778f924113af98609dc" prot="private" virt="non-virtual"><scope>Kalk</scope><name>backspaceClicked</name></member>
      <member refid="class_kalk_1a8f57f3cb8ea0f0806914facb50ada04f" prot="private" virt="non-virtual"><scope>Kalk</scope><name>calculate</name></member>
      <member refid="class_kalk_1ae32fc064bc528d4d5e256bafcfa77482" prot="private" virt="non-virtual"><scope>Kalk</scope><name>clear</name></member>
      <member refid="class_kalk_1a59fd495816287e031192339d30184c7b" prot="private" virt="non-virtual"><scope>Kalk</scope><name>clearAll</name></member>
      <member refid="class_kalk_1afe6f91c8b6b0b91f52db75a705207669" prot="private" virt="non-virtual"><scope>Kalk</scope><name>createButton</name></member>
      <member refid="class_kalk_1a5730f6c15e4c235cb641eb0d5efcdaad" prot="private" virt="non-virtual"><scope>Kalk</scope><name>createLayout</name></member>
      <member refid="class_kalk_1a6ad5b5297380c3e76279f85e474a5458" prot="private" virt="non-virtual"><scope>Kalk</scope><name>digitButtons</name></member>
      <member refid="class_kalk_1af883213256a0608001cc00de7cab30c2" prot="private" virt="non-virtual"><scope>Kalk</scope><name>digitClicked</name></member>
      <member refid="class_kalk_1a562211dbce5f45ddb8accf1542047c38" prot="private" virt="non-virtual"><scope>Kalk</scope><name>display</name></member>
      <member refid="class_kalk_1a60f1ab6753daca54e5794ae222150168" prot="private" virt="non-virtual"><scope>Kalk</scope><name>displayResult</name></member>
      <member refid="class_kalk_1acf8969cbbc65b2cc8b2fc793eb10d7c2" prot="private" virt="non-virtual"><scope>Kalk</scope><name>equalClicked</name></member>
      <member refid="class_kalk_1a20fc6ce050e3298a389e25c8a90f557e" prot="private" virt="non-virtual"><scope>Kalk</scope><name>factorSoFar</name></member>
      <member refid="class_kalk_1a2a874e3d914c3f3fbbd1a4cddffd092a" prot="private" virt="non-virtual"><scope>Kalk</scope><name>getOperand</name></member>
      <member refid="class_kalk_1ac5385679ef1b8a632de77a852e960648" prot="private" virt="non-virtual"><scope>Kalk</scope><name>hasUsedI</name></member>
      <member refid="class_kalk_1a946bebf2b95644d9af687dac4d2a0c83" prot="private" virt="non-virtual"><scope>Kalk</scope><name>hasUsedJ</name></member>
      <member refid="class_kalk_1afc550da81642965d0cac5844ad5ed6b1" prot="private" virt="non-virtual"><scope>Kalk</scope><name>hasUsedK</name></member>
      <member refid="class_kalk_1afdb3b6fbce722301b1e31d66c22f42c3" prot="private" virt="non-virtual"><scope>Kalk</scope><name>hasUsedReal</name></member>
      <member refid="class_kalk_1adc9cc22a705f06ec74395e84779eecb7" prot="private" virt="non-virtual"><scope>Kalk</scope><name>iButton</name></member>
      <member refid="class_kalk_1a1552b9283db6a6aad98e58e787b4b40e" prot="private" virt="non-virtual"><scope>Kalk</scope><name>isComplexDomain</name></member>
      <member refid="class_kalk_1a40646ad374f01a2e1e2aa106c089b8a1" prot="private" virt="non-virtual"><scope>Kalk</scope><name>isQuaternionDomain</name></member>
      <member refid="class_kalk_1a127b3286d13885655dd3c7fe6a694154" prot="private" virt="non-virtual"><scope>Kalk</scope><name>isRealDomain</name></member>
      <member refid="class_kalk_1a1e25fe0606e4dd8b8d0026fa35d02b39" prot="private" virt="non-virtual"><scope>Kalk</scope><name>jButton</name></member>
      <member refid="class_kalk_1a559be0464a55b0a24dbc9ddf4c3c2513" prot="public" virt="non-virtual"><scope>Kalk</scope><name>Kalk</name></member>
      <member refid="class_kalk_1a9fcf3187d4335f1b3cddf3a11ac4a01c" prot="private" virt="non-virtual"><scope>Kalk</scope><name>kButton</name></member>
      <member refid="class_kalk_1a1ee03ea296dc6ee6811271f30cb5bf91" prot="private" virt="non-virtual"><scope>Kalk</scope><name>multiplicativeOperatorClicked</name></member>
      <member refid="class_kalk_1a04d868f84bc91c8a89c09de62a562c08" prot="private" virt="non-virtual"><scope>Kalk</scope><name>nullText</name></member>
      <member refid="class_kalk_1a035c630b5a3d2c834e1fab60d3a99be6a8fbffebb87af5cc47dda44d20e4d167e" prot="private" virt="non-virtual"><scope>Kalk</scope><name>NumDigitButtons</name></member>
      <member refid="class_kalk_1ab7f71eeb9ac2633dc615acb6cbf0b009" prot="private" virt="non-virtual"><scope>Kalk</scope><name>pendingAdditiveOperator</name></member>
      <member refid="class_kalk_1ab9f94686db9235256f0faf8d44dff25d" prot="private" virt="non-virtual"><scope>Kalk</scope><name>pendingMultiplicativeOperator</name></member>
      <member refid="class_kalk_1a30d55da518a57c1915d9dd233bc02740" prot="private" virt="non-virtual"><scope>Kalk</scope><name>pendingPowerOperator</name></member>
      <member refid="class_kalk_1a80985d8abba72a36e38fbea4aaec7544" prot="private" virt="non-virtual"><scope>Kalk</scope><name>pointClicked</name></member>
      <member refid="class_kalk_1a6f0ff5e3c87b26a21e1f0fc305e1c8c4" prot="private" virt="non-virtual"><scope>Kalk</scope><name>powerButton</name></member>
      <member refid="class_kalk_1a4f295557c3e7ce2da0f5d0193fcee8c7" prot="private" virt="non-virtual"><scope>Kalk</scope><name>powerOperatorClicked</name></member>
      <member refid="class_kalk_1ab1222e99e8d95b00764a423f6caa7b50" prot="private" virt="non-virtual"><scope>Kalk</scope><name>setComplexDomain</name></member>
      <member refid="class_kalk_1a130beff8aa8e3e98aa7e93aff8ec3bfc" prot="private" virt="non-virtual"><scope>Kalk</scope><name>setNumberDomain</name></member>
      <member refid="class_kalk_1a25867822ad843346ab20091dda3d3392" prot="private" virt="non-virtual"><scope>Kalk</scope><name>setQuaternionDomain</name></member>
      <member refid="class_kalk_1ad83a4415a59b4a19f023105f752d27d3" prot="private" virt="non-virtual"><scope>Kalk</scope><name>setRealDomain</name></member>
      <member refid="class_kalk_1adf36376767dd435bcf3510ae44e4fab0" prot="private" virt="non-virtual"><scope>Kalk</scope><name>setupDisplay</name></member>
      <member refid="class_kalk_1a2163b26dc22dacfe14b6b2d8b980df1a" prot="private" virt="non-virtual"><scope>Kalk</scope><name>setupLayout</name></member>
      <member refid="class_kalk_1ac7210b5359f2fe171b72ad42241b4dfa" prot="private" virt="non-virtual"><scope>Kalk</scope><name>squareRootButton</name></member>
      <member refid="class_kalk_1ae9543ce83a379fb45b079b747eebf6fb" prot="private" virt="non-virtual"><scope>Kalk</scope><name>sumSoFar</name></member>
      <member refid="class_kalk_1a0a1f199a6a931d65dc04f7b3d64e2b9b" prot="private" virt="non-virtual"><scope>Kalk</scope><name>unaryOperatorClicked</name></member>
      <member refid="class_kalk_1a920a824e0ab9aa6abb41be1249366839" prot="private" virt="non-virtual"><scope>Kalk</scope><name>waitingForOperand</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
